## Tcl8.6.0/Tk8.6.0 Documentation > Tk C API, version 8.6.0 > DrawFocHlt

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_DrawFocusHighlight — draw the traversal highlight ring for a widget

### SYNOPSIS

#include <tk8.6/tk.h>
Tk_DrawFocusHighlight(tkwin, gc, width, drawable)

### ARGUMENTS

Tk_Window tkwin (in)
  Window for which the highlight is being drawn. Used to retrieve the window's dimensions, among other things.

GC gc (in)
  Graphics context to use for drawing the highlight.

int width (in)
  Width of the highlight ring, in pixels.

Drawable drawable (in)
  Drawable in which to draw the highlight; usually an offscreen pixmap for double buffering.

### DESCRIPTION

Tk_DrawFocusHighlight is a utility procedure that draws the traversal highlight ring for a widget. It is typically invoked by widgets during redisplay.

### KEYWORDS

focus, traversal highlight
Copyright © 1995-1996 Sun Microsystems, Inc.